if($AddOn__Server_VignetteDamage == 1)
{
	deactivatePackage("vignetteDamagePackage");
	warn("Sorry Server_VignetteDamage is not compatible with Vignette Health");
}


package damageIndicator
{
	function Armor::onDamage(%this,%obj,%am)
	{
		parent::onDamage(%this,%obj,%am);
		%percent = %obj.getDamageLevel()/100;
		%percent = %percent*0.8;
		if(%percent < 0.1)
		{
			commandToClient( %obj.client, 'SetVignette', $EnvGuiServer::VignetteMultiply, $EnvGuiServer::VignetteColor );
			%percent = 0;
		} else {
			commandToClient( %obj.client, 'SetVignette', false, "1 0 0" SPC %percent );
		}
	}
	function armor::onAdd(%this,%obj)
	{
		if(isObject(%obj.client))
		commandToClient( %obj.client, 'SetVignette', $EnvGuiServer::VignetteMultiply, $EnvGuiServer::VignetteColor );
		
		return parent::onAdd(%this,%obj);
	}
	function gameConnection::onDeath(%killed, %killerPlayer, %killer, %a, %b)
	{
		if(isObject(%killed))
		commandToClient( %killed, 'SetVignette', $EnvGuiServer::VignetteMultiply, $EnvGuiServer::VignetteColor );
		
		parent::onDeath(%killed, %killerPlayer, %killer, %a, %b);
	}
};
ActivatePackage(damageIndicator);